# Update imported number

Update an imported phone number. You can perform the following updates:

* Update the name that displays for a customer by modifying the displayName parameter.
* Unlink the number from an SMS service or campaign by updating the smsConfiguration configuration object. To unlink a number, submit the request with an empty string (””) in the service plan ID or campaign ID fields.
* Before linking a number to a new service or campaign, it must be unlinked from any existing service or campaign. Then, link the number to a new SMS service or campaign by updating the service plan ID or campaign ID with the new desired value.

Endpoint: PATCH /v1/projects/{projectId}/importedNumbers/{phoneNumber}
Version: 1.0
Security: Basic, OAuth2.0

## Path parameters:

  - `projectId` (string, required)
    Found on your Sinch Customer Dashboard. Settings > Projects.
    Example: "d1923022-5199-4bb3-a513-c47b3a656bc5"

  - `phoneNumber` (string, required)
    The phone number in E.164 format with leading +.
    Example: "+12025550134"

## Request fields (application/json):

  - `phoneNumber` (string)
    The phone number in e.164 format with leading +.
    Example: "+12025550134"

  - `projectId` (string)
    The ID of the project resource. You can find your project ID on dashboard.sinch.com.
    Example: "YOUR_project_id"

  - `regionCode` (string)
    ISO 3166-1 alpha-2 country code of the phone number. Example US, UK or SE.
    Example: "US"

  - `displayName` (string)
    User supplied name for the phone number.
    Example: "MyPhoneNumber"

  - `smsConfiguration` (object)
    Configuration for SMS

  - `smsConfiguration.servicePlanId` (string)
    The current SMS configuration for this number. The servicePlanId` can be found when logging into dashboard.sinch.com in the SMS>APIs section.
    Example: "YOUR_service_plan_id"

  - `smsConfiguration.campaignId` (string)
    The current campaign ID assigned to this number.
    Example: "YOUR_campaign_id"

  - `callbackUrl` (string)
    The client's callback URL to be called upon finishing the number import.
    Example: "https://www.your-callback-server.com/callback"

## Response 400 fields (application/json):

  - `code` (string)
    The HTTP response code for the error.
    Example: "404"

  - `message` (string)
    The friendly message describing the reason for the error response.
    Example: "The imported number could not be found."

  - `status` (string)
    The HTTP response status for the error.
    Example: "NOT_FOUND"


